# Train a neural network on the iris dataset for 10 iterations.
model1 <- rxNeuralNet(
    formula = Species~Sepal.Length + Sepal.Width + Petal.Length + Petal.Width, 
    data = iris, 
    numHiddenNodes=10, 
    type="multi", 
    numIterations=10, 
    optimizer=adaDeltaSgd())

# Train another neural network on the iris dataset, initializing the topology and weights
# from the previously trained model.
model2 <- rxNeuralNet(
    formula = Species~Sepal.Length + Sepal.Width + Petal.Length + Petal.Width, 
    data = iris, 
    netDefinition=getNetDefinition(model1), 
    type="multi", 
    numIterations=10, 
    optimizer = adaDeltaSgd())
